# Analyse raster data

This endpoint is used to get statistics such as the minimum, mean and maximum value over a specific area of a raster.

| **Description** | Request to obtain statistical information on the raster data for a region. |
| --------------- | -------------------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/raster/timestamp/analyse`                                  |
| **Method**      | GET                                                                        |

### Access Level Rules

| **Access Level** | view |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 50 |
| -------------------- | -- |

### Parameters

<table><thead><tr><th>Name</th><th width="397">Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the raster layer.</td><td>true</td><td></td><td>true</td></tr><tr><td><code>timestampIds</code></td><td>An array of timestamp ids you wish to get data for.</td><td>true</td><td></td><td>true</td></tr><tr><td><code>geometry</code></td><td>A GeoJSON of the area of interest in WGS84.</td><td>true</td><td></td><td>true</td></tr><tr><td><code>approximate</code></td><td>Boolean whether a faster approximate of the aggregated data should be retrieved.</td><td>false</td><td>Default false.</td><td>false</td></tr><tr><td><code>returnType</code></td><td>The return type of the output. Must be one of "statistics", "withLocation" or "all".</td><td>false</td><td>Default "statistics".</td><td>false</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/analyse-raster-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
